Assets
Returns assets matching the given search criteria. Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. By default a result containing 1000 assets is returned.
For fetching large numbers of assets consider using the async methods of Output Module REST API instead, which allow fetching all needed data in one call and eliminate the risk of timing out. Additionally, consider the CSV endpoint of the Output Module REST API for particularly large result sets, as it's more memory efficient.
Searching for assets by name can be slow so check the Search REST API and the Knowledge Graph API for alternatives if applicable to your use case, as the Search API returns only a subset of asset fields that are available here.
The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0. Cursor should be preferred over offset for better performance and stable results. It is forbidden to use both in the same request.
0The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.
0Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped. For cursor pagination this parameter is ignored and count is skipped.
-1Cursor for the current page of results. To retrieve the first page with cursor pagination you need to pass this parameter with an empty value (must be non-null). For the next pages, the value must be taken from the response (nextCursor property).
The name of the asset to search for (either display name or full name).
The match mode used to compare name. If the match mode is EXACT the search is case-sensitive, otherwise the search is case-insensitive.
ANYWHEREPossible values: The ID of the domain to find the assets in.
The ID of the community to find the assets in.
The list of IDs of the asset types. The returned assets are of one of types specified by this parameter.
The list of IDs of the asset public types. The returned assets are of one of types specified by this parameter.
The list of IDs of the asset types. The returned assets are of one of types specified by this parameter. Deprecated in favour of 'typeIds'
The list of IDs of the statuses. The returned assets have one of statuses specified by this parameter.
The list of IDs of the statuses. The returned assets have one of statuses specified by this parameter. Deprecated in favour of 'statusIds'.
The list of names of tags. The returned assets have one of tags with names specified by this parameter.
Whether the type inheritance for the asset type filtering should be applied or not.
trueThe exclude meta flag. If this is set to true then the assets from meta domains will not be returned (meta domains are the domains which were not created by the user manually).
trueThe field on which the results are sorted.
NAMEPossible values: The sorting order.
ASCPossible values: OK - The request has succeeded.
The total number of results.
1000The offset for the results.
10The maximum number of results to be returned.
100Unauthorized - Authentication has failed or has not been provided.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
GET /rest/2.0/assets?sortField=NAME HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"total": 1000,
"offset": 10,
"limit": 100,
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"displayName": "text",
"articulationScore": 89.5,
"excludedFromAutoHyperlinking": true,
"domain": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"type": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"status": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"avgRating": 1,
"ratingsCount": 1
}
]
}Adds a new asset to a domain
The full name of the new asset. Should be unique within the domain.
The display name of the new asset.
The ID of the domain that the new asset should be added to.
The ID of the asset type of the new asset.
The ID of the new asset. Should be unique within all assets.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.
The ID of the status of the new asset.
Whether or not to exclude the new asset from auto hyperlinking.
The public ID of the asset type of the new asset.
Created - The request has been fulfilled and resulted in a new resource being created.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe display name of the asset.
Please note that "displayName" corresponds to the "Name" in the UI.
The articulation score for this asset.
Expresses how well this asset is articulated. The articulation score is a percentage number ranging from 0 to 100. The articulation rules can be configured to calculate the articulation score. Whenever the asset is modified, by changing its attributes or statuses, the articulation score is re-evaluated.
89.5Whether this asset is excluded from hyperlinking or not.
The average rating.
The number of ratings.
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
POST /rest/2.0/assets HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 286
{
"name": "text",
"displayName": "text",
"domainId": "123e4567-e89b-12d3-a456-426614174000",
"typeId": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"statusId": "123e4567-e89b-12d3-a456-426614174000",
"excludedFromAutoHyperlinking": true,
"typePublicId": "text"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"displayName": "text",
"articulationScore": 89.5,
"excludedFromAutoHyperlinking": true,
"domain": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"type": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"status": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"avgRating": 1,
"ratingsCount": 1
}Adds multiple assets in one go
The full name of the new asset. Should be unique within the domain.
The display name of the new asset.
The ID of the domain that the new asset should be added to.
The ID of the asset type of the new asset.
The ID of the new asset. Should be unique within all assets.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.
The ID of the status of the new asset.
Whether or not to exclude the new asset from auto hyperlinking.
The public ID of the asset type of the new asset.
Created - The request has been fulfilled and resulted in a new resource being created.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe display name of the asset.
Please note that "displayName" corresponds to the "Name" in the UI.
The articulation score for this asset.
Expresses how well this asset is articulated. The articulation score is a percentage number ranging from 0 to 100. The articulation rules can be configured to calculate the articulation score. Whenever the asset is modified, by changing its attributes or statuses, the articulation score is re-evaluated.
89.5Whether this asset is excluded from hyperlinking or not.
The average rating.
The number of ratings.
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
POST /rest/2.0/assets/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 288
[
{
"name": "text",
"displayName": "text",
"domainId": "123e4567-e89b-12d3-a456-426614174000",
"typeId": "123e4567-e89b-12d3-a456-426614174000",
"id": "123e4567-e89b-12d3-a456-426614174000",
"statusId": "123e4567-e89b-12d3-a456-426614174000",
"excludedFromAutoHyperlinking": true,
"typePublicId": "text"
}
][
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"displayName": "text",
"articulationScore": 89.5,
"excludedFromAutoHyperlinking": true,
"domain": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"type": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"status": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"avgRating": 1,
"ratingsCount": 1
}
]Removes multiple assets.
No Content - The server has fulfilled the request but does not need to return an entity-body.
No content
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
DELETE /rest/2.0/assets/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 40
[
"123e4567-e89b-12d3-a456-426614174000"
]No content
Changes multiple assets in one go
The ID of the asset to be changed. Silently ignored if the ID is provided as path parameter of the request.
The new full name for the asset.
The new display name for the asset.
The ID of the new asset type for the asset.
The ID of the new status for the asset.
The ID of the new domain for the asset.
Whether the asset should be excluded from hyperlinking or not.
The public ID of the new asset type for the asset.
OK - The request has succeeded.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe display name of the asset.
Please note that "displayName" corresponds to the "Name" in the UI.
The articulation score for this asset.
Expresses how well this asset is articulated. The articulation score is a percentage number ranging from 0 to 100. The articulation rules can be configured to calculate the articulation score. Whenever the asset is modified, by changing its attributes or statuses, the articulation score is re-evaluated.
89.5Whether this asset is excluded from hyperlinking or not.
The average rating.
The number of ratings.
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
PATCH /rest/2.0/assets/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 288
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"displayName": "text",
"typeId": "123e4567-e89b-12d3-a456-426614174000",
"statusId": "123e4567-e89b-12d3-a456-426614174000",
"domainId": "123e4567-e89b-12d3-a456-426614174000",
"excludedFromAutoHyperlinking": true,
"typePublicId": "text"
}
][
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"displayName": "text",
"articulationScore": 89.5,
"excludedFromAutoHyperlinking": true,
"domain": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"type": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"status": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"avgRating": 1,
"ratingsCount": 1
}
]Returns all tags of the asset with the given ID.
The ID of the asset
OK - The request has succeeded.
Represents a tag. Tag is a label applied to one or more assets and used to enrich content with additional meta-data in a crowdsourcing way without having to go through the formal process.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the tag.
The description of the tag.
Count of all assets to which this tag is assigned.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
GET /rest/2.0/assets/{assetId}/tags HTTP/1.1
Authorization: Basic username:password
Accept: */*
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "text",
"description": "text",
"assetsCount": 1
}
]Adds tags to the asset with the given ID.
The ID of the asset
The names of the tags to be applied on given asset.
Created - The request has been fulfilled and resulted in a new resource being created.
Represents a tag. Tag is a label applied to one or more assets and used to enrich content with additional meta-data in a crowdsourcing way without having to go through the formal process.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the tag.
The description of the tag.
Count of all assets to which this tag is assigned.
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
POST /rest/2.0/assets/{assetId}/tags HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 21
{
"tagNames": [
"text"
]
}[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "text",
"description": "text",
"assetsCount": 1
}
]Sets tags for the asset with the given ID. The asset will contain only those tags specified in the request.
The ID of the asset
The names of the tags to be applied on given asset.
OK - The request has succeeded.
Represents a tag. Tag is a label applied to one or more assets and used to enrich content with additional meta-data in a crowdsourcing way without having to go through the formal process.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the tag.
The description of the tag.
Count of all assets to which this tag is assigned.
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
PUT /rest/2.0/assets/{assetId}/tags HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 21
{
"tagNames": [
"text"
]
}[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "text",
"description": "text",
"assetsCount": 1
}
]Removes tags from the asset with the given ID.
The ID of the asset
The names of the tags to be removed from given asset.
No Content - The server has fulfilled the request but does not need to return an entity-body.
No content
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
DELETE /rest/2.0/assets/{assetId}/tags HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 21
{
"tagNames": [
"text"
]
}No content
Returns the asset having the given ID.
The ID of the asset
OK - The request has succeeded.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe display name of the asset.
Please note that "displayName" corresponds to the "Name" in the UI.
The articulation score for this asset.
Expresses how well this asset is articulated. The articulation score is a percentage number ranging from 0 to 100. The articulation rules can be configured to calculate the articulation score. Whenever the asset is modified, by changing its attributes or statuses, the articulation score is re-evaluated.
89.5Whether this asset is excluded from hyperlinking or not.
The average rating.
The number of ratings.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
GET /rest/2.0/assets/{assetId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"displayName": "text",
"articulationScore": 89.5,
"excludedFromAutoHyperlinking": true,
"domain": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"type": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"status": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"avgRating": 1,
"ratingsCount": 1
}Removes an asset identified by given ID.
The ID of the asset
No Content - The server has fulfilled the request but does not need to return an entity-body.
No content
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
DELETE /rest/2.0/assets/{assetId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
No content
Changes the asset with the given ID as specified by the given request. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.
The ID of the asset to be changed
The ID of the asset to be changed. Silently ignored if the ID is provided as path parameter of the request.
The new full name for the asset.
The new display name for the asset.
The ID of the new asset type for the asset.
The ID of the new status for the asset.
The ID of the new domain for the asset.
Whether the asset should be excluded from hyperlinking or not.
The public ID of the new asset type for the asset.
OK - The request has succeeded.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe display name of the asset.
Please note that "displayName" corresponds to the "Name" in the UI.
The articulation score for this asset.
Expresses how well this asset is articulated. The articulation score is a percentage number ranging from 0 to 100. The articulation rules can be configured to calculate the articulation score. Whenever the asset is modified, by changing its attributes or statuses, the articulation score is re-evaluated.
89.5Whether this asset is excluded from hyperlinking or not.
The average rating.
The number of ratings.
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
PATCH /rest/2.0/assets/{assetId} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 286
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"displayName": "text",
"typeId": "123e4567-e89b-12d3-a456-426614174000",
"statusId": "123e4567-e89b-12d3-a456-426614174000",
"domainId": "123e4567-e89b-12d3-a456-426614174000",
"excludedFromAutoHyperlinking": true,
"typePublicId": "text"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"displayName": "text",
"articulationScore": 89.5,
"excludedFromAutoHyperlinking": true,
"domain": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"type": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"status": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"avgRating": 1,
"ratingsCount": 1
}This endpoint is part of a public preview feature and is subject to change. It is only available in commercial pre-production environments. To use it in a production environment, contact Collibra Support. This endpoint is not available for Collibra Platform for Government and Collibra Platform Self-Hosted.
The ID of the source of relations to search for.
The public ID of the type of relation to search for.
The direction in which the relation should be traversed.
The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.
0The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.
0Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped
-1Optional. Returns only the assets whose display name or full name contains this text, ignoring upper/lower case. Filtering is applied before paging, so offset and limit page through the filtered results. At most 255 characters.
Optional. ISO-8601 duration (e.g. PT5M). If specified, the request is rejected with 406 when the knowledge-graph sync lag exceeds this threshold.
OK - The request has succeeded.
The total number of results.
1000The offset for the results.
10The maximum number of results to be returned.
100The current sync status of the knowledge-graph database.
Epoch milliseconds of the last PostgreSQL commit synced to the knowledge-graph.
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
The knowledge-graph sync status does not satisfy the requested acceptLag threshold.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
GET /rest/2.0/assets/{assetId}/relations/{relationTypePublicId}/{relationDirection} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"total": 1000,
"offset": 10,
"limit": 100,
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"displayName": "text",
"articulationScore": 89.5,
"excludedFromAutoHyperlinking": true,
"domain": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"type": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"status": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"avgRating": 1,
"ratingsCount": 1
}
],
"databaseStatus": "text",
"lastCommittedTimestampMs": 1
}Returns the list of resources that lead to the asset identified by the given ID.
The ID of the asset
OK - The request has succeeded.
Represents reference to the resource, including its name.
The id of the referenced resource.
2b7f3a1a-4e50-4077-96f0-a58a395c860dThe type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. In order to stay backwards compatible and to enable us to introduce new types of resources, we are replacing the ResourceType enum with a String. For new types of resources that didn't exist before this change, resourceType will be BaseDataType. Please use the resourceDiscriminator property instead. Refer to the object containing the ResourceReference for possible values.
CommunityPossible values: The resource discriminator, which indicates the type of the referenced resource, e.g. "Community", "Asset", ... Check the documentation of the class using the resource reference for detailed documentation regarding the possible resource discriminator values.
CommunityThe name of the referenced resource.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
GET /rest/2.0/assets/{assetId}/breadcrumb HTTP/1.1
Authorization: Basic username:password
Accept: */*
[
{
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
}
]Replaces all attributes of the asset with the given ID (of given attribute type) with the attributes from the request, except matching attributes, which are retained.
The ID of the asset
The ID of the attribute type for the new attribute.
The public ID of the attribute type for the new attribute.
The values for the new attribute.
OK - The request has succeeded.
The list of attributes corresponding to the complex relation.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The id of the represented object (entity).
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
PUT /rest/2.0/assets/{assetId}/attributes HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 85
{
"typeId": "123e4567-e89b-12d3-a456-426614174000",
"typePublicId": "text",
"values": [
{}
]
}[
{
"asset": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"attributeDiscriminator": "text",
"value": {},
"type": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"createdOn": 1475503010320,
"lastModifiedOn": 1476703764163,
"system": true,
"id": "123e4567-e89b-12d3-a456-426614174000"
}
]Sets relations for the asset with the given ID. All the relations described by this request will replace the existing ones (identified with asset as one end, relation type and direction of the relation).
The ID of the asset
The ID of the relation type for the relations to be set.
The IDs of the related assets.
The relation direction. If TO_SOURCE then related assets will become source assets. Otherwise they will become target assets for created relations.
The public ID of the relation type for the relations to be set.
OK - The request has succeeded.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The timestamp representing the starting date of the relation.
The timestamp representing the ending date of the relation.
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
PUT /rest/2.0/assets/{assetId}/relations HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 162
{
"typeId": "123e4567-e89b-12d3-a456-426614174000",
"relatedAssetIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"relationDirection": "TO_TARGET",
"typePublicId": "text"
}[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"source": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"target": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"type": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
}
}
]Sets responsibilities for the asset with the given ID.
The ID of the asset
The ID of the role for the responsibilities to be set.
The IDs of the owners. An owner is either user or group.
OK - The request has succeeded.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
Bad Request - Request data is malformed or illegal. The request body will contain additional information.
Unauthorized - Authentication has failed or has not been provided.
Forbidden - Insufficient permissions to perform the requested operation.
Not Found - One of the requested resources could not be found or the requested URI is invalid.
Internal Server Error - The server encountered an unexpected condition which prevented it from fulfilling the request. Please report a problem as this situation should not occur.
PUT /rest/2.0/assets/{assetId}/responsibilities HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 101
{
"roleId": "123e4567-e89b-12d3-a456-426614174000",
"ownerIds": [
"123e4567-e89b-12d3-a456-426614174000"
]
}[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"role": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"baseResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"owner": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
}
}
]Last updated
Was this helpful?